# Disputes API REST 2.0 Disputes API **Version:** 1.2.8 ## Servers - `https://api-sandbox.nuvei.com/disputes-api` — sandbox - `https://api.nuvei.com/disputes-api` — prod ## Tags - **Disputes** ## Security Schemes ### Bearer - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### ApiKey - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/entities/{entity-id}/disputes` #### GET **Summary:** Retrieve List of Disputes Retrieves a list of disputes for entity based on the provided parameters. **Operation ID:** `getDisputesList` **Tags:** Disputes **Security:** Bearer OR ApiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | string | Yes | Entity Id | | `from_date` | query | string | Yes | From Date | | `to_date` | query | string | Yes | To Date | | `response_date_sort` | query | string | Yes | Response Date Sort | | `retrieve_files` | query | boolean | No | Retrieve Files | | `offset` | query | integer | No | Offset | | `size` | query | integer | No | Size | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `DisputesResponse` DisputesResponse - **totalCount** — _integer_ - **disputes** — _array_ - **items** — _object_ — Dispute - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **lastDisputeEvent** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/disputes/{dispute-id}` #### GET **Summary:** Retrieve Dispute Details Retrieves the dispute details for entity based on the provided parameters. **Operation ID:** `getDisputeDetails` **Tags:** Disputes **Security:** Bearer OR ApiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | string | Yes | Entity Id | | `dispute-id` | path | string | Yes | Dispute Id | | `retrieve_files` | query | boolean | No | Retrieve Files | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `DisputeDetailsResponse` DisputeDetailsResponse - **disputes** — (`DisputeDetails`) — _object_ — DisputeDetails - **id** — (`Id`) — _string_ — Id - **creationDate** — _string_ — format: `date-time` - **verdict** — (`Verdict`) — _string_ — enum: `won`, `lost`, `undetermined`, `resolved` - **transaction** — (`Transaction`) — _object_ — Transaction - **id** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **date** — _string_ — format: `date-time` - **merchantTransactionId** — _string_ - **arn** — _string_ - **amount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **paymentOption** — _string_ - **maskedCardNumber** — _string_ - **availableActions** — _array_ - **items** — (`AvailableAction`) — _string_ — enum: `ACCEPT`, `PARTIAL`, `REJECT` — AvailableActions - **disputeEvents** — _array_ - **items** — (`Event`) — _object_ — Event - **id** — (`Id`) — _string_ — Id - **updateDate** — _string_ — format: `date-time` - **expirationDate** — _string_ — format: `date-time` - **status** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **disputeAmount** — _number_ - **rejectAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **remarks** — _string_ - **disputeReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **rejectReason** — (`CodeDescription`) — _object_ — CodeDescription - **code** — _string_ - **description** — _string_ - **files** — _array_ - **items** — _object_ — FileId - **id** — (`Id`) — _string_ — Id - **name** — _string_ - **data** — _string_ - **initiatedBy** — _string_ — enum: `Issuer`, `Acquirer`, `Scheme` - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/files` #### POST **Summary:** Upload Files Uploads files for later use. **Operation ID:** `postFiles` **Tags:** Disputes **Security:** Bearer OR ApiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | string | Yes | Entity Id | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `UploadFileRequest` UploadFileRequest - **file** — (`BaseFile`) — _object_ — **required** — BaseFile - **name** — _string_ - **data** — _string_ **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `UploadFileResponse` UploadFileResponse - **file** — (`FileUploaded`) — _object_ — FileUploaded - **correlationId** — (`Id`) — _string_ — Id - **name** — _string_ - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/entities/{entity-id}/disputes/{dispute-id}/{action}` #### POST **Summary:** Perform Dispute Action Performs an action on a dispute. **Operation ID:** `postDisputeAction` **Tags:** Disputes **Security:** Bearer OR ApiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | string | Yes | Entity Id | | `dispute-id` | path | string | Yes | Dispute Id | | `action` | path | AvailableAction | Yes | Action | **Request Body:** _(required)_ _Content-Type: `application/json`_ **Schema:** `DisputeActionRequest` DisputeActionRequest - **acceptedAmount** — _number_ - **currency** — (`Currency`) — _string_ — Currency - **cardholderNoLongerDisputes** — _boolean_ — default: `false` - **notes** — _string_ - **files** — _array_ - **items** — (`Id`) — _string_ — Id **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `DisputeActionResponse` DisputeActionResponse - **disputeEventId** — (`Id`) — _string_ — Id - **transactionId** — (`TransactionId`) — _integer_ — format: `int64` — Transactionid - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting